Bug 839471 - [abrt] epdfview-0.1.8-8.fc17: __GI_raise: Process /usr/bin/epdfview was killed by signal 6 (SIGABRT)
[abrt] epdfview-0.1.8-8.fc17: __GI_raise: Process /usr/bin/epdfview was kille...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: epdfview (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Schmidt
Fedora Extras Quality Assurance
abrt_hash:3e35638d8d9c9993bc90e366312...
:
: 840974 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-12 00:26 EDT by cryogenium
Modified: 2013-02-14 05:23 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-14 05:23:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (27.23 KB, text/plain)
2012-07-12 00:26 EDT, cryogenium
no flags Details
File: maps (35.80 KB, text/plain)
2012-07-12 00:26 EDT, cryogenium
no flags Details
File: dso_list (7.10 KB, text/plain)
2012-07-12 00:26 EDT, cryogenium
no flags Details

  None (edit)
Description cryogenium 2012-07-12 00:26:13 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        epdfview /tmp/3310_0109.pdf
crash_function: __GI_raise
executable:     /usr/bin/epdfview
kernel:         3.4.4-5.fc17.x86_64
pid:            23309
pwd:            /home/mikko
time:           to 12. heinäkuuta 2012 07.10.05
uid:            1000
username:       mikko
var_log_messages: Jul 12 07:10:07 mikkotosh abrt[23313]: Saved core dump of pid 23309 (/usr/bin/epdfview) to /var/spool/abrt/ccpp-2012-07-12-07:10:05-23309 (46473216 bytes)

backtrace:      Text file, 27879 bytes
dso_list:       Text file, 7271 bytes
maps:           Text file, 36658 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/mikko/1

core_backtrace:
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x35965 raise libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x37118 abort libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x7568b __libc_message libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x7c80e _int_free libc.so.6 -
:2575710ca5c833e25595afa1a298db1ba27ae6d8 0xb552e Catalog::cachePageTree(int) libpoppler.so.19 -
:2575710ca5c833e25595afa1a298db1ba27ae6d8 0xb5f0f Catalog::getPage(int) libpoppler.so.19 -
:38edf4fc362690a162fe96ed4866ed49fcf138c7 0x1a29c poppler_document_get_page libpoppler-glib.so.8 -
:1cf3b711de9ecfd90c9d0515e03838cbe90645ef 0xdb60 - [exe] -
:1cf3b711de9ecfd90c9d0515e03838cbe90645ef 0xe697 - [exe] -
:1cf3b711de9ecfd90c9d0515e03838cbe90645ef 0xb3a5 - [exe] -
:1cf3b711de9ecfd90c9d0515e03838cbe90645ef 0xaf80 - [exe] -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x6a345 - libglib-2.0.so.0 -
:73777e822e00ca152ffca281ab0ace0cb498ec48 0x7d14 start_thread libpthread.so.0 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0xf199d clone libc.so.6 -

environ:
:XDG_VTNR=1
:XSUNTRANSPORT=shmem
:XDG_SESSION_ID=1
:SAL_USE_VCLPLUGIN=gtk
:HOSTNAME=mikkotosh.mikko
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:XDG_MENU_PREFIX=lxde-
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/home/mikko/.cache/keyring-HhVeOM
:SYSFONT=latarcyrheb-sun16
:MOZILLA_FIVE_HOME=/usr/lib64/firefox
:'IMSETTINGS_MODULE=X compose table'
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=mikko
:LD_LIBRARY_PATH=/usr/lib64/firefox:/usr/lib64/firefox/plugins:/usr/lib64/firefox
:LIBPATH=/usr/lib64/firefox:/usr/lib64/firefox
:GNOME_DISABLE_CRASH_DIALOG=1
:MOZ_APP_LAUNCHER=/usr/bin/firefox
:MOZ_PLUGIN_PATH=/usr/lib64/mozilla/plugins-wrapped:/usr/lib64/firefox/plugins-wrapped
:DESKTOP_SESSION=LXDE
:PATH=/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/mikko/.local/bin:/home/mikko/bin
:MAIL=/var/spool/mail/mikko
:FONTCONFIG_PATH=/etc/fonts:/usr/lib64/firefox/res/Xft
:QT_IM_MODULE=xim
:PWD=/home/mikko
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=769
:LANG=fi_FI.UTF-8
:XSUNSMESIZE=512
:KEYTABLE=fi
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:_LXSESSION_PID=836
:XDG_SEAT=seat0
:HOME=/home/mikko
:SHLVL=1
:XDG_CONFIG_HOME=/home/mikko/.config
:BOOT_IMAGE=/vmlinuz-3.4.4-5.fc17.x86_64
:DYLD_LIBRARY_PATH=/usr/lib64/firefox:/usr/lib64/firefox
:LOGNAME=mikko
:MOZ_GRE_CONF=/etc/gre.d/gre64.conf
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-PCz9uv5grr,guid=427e2235b60e84891b8d479a00000026
:PREFERRED=/usr/bin/startlxde
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:SHLIB_PATH=/usr/lib64/firefox:/usr/lib64/firefox
:XDG_RUNTIME_DIR=/run/user/mikko
:DISPLAY=:0
:GTK_IM_MODULE=xim
:XDG_CURRENT_DESKTOP=LXDE
:XAUTHORITY=/home/mikko/.Xauthority
:NO_AT_BRIDGE=1
:MOZ_CRASHREPORTER_RESTART_ARG_0=/usr/lib64/firefox/firefox
:MOZ_CRASHREPORTER_RESTART_ARG_1=
:'MOZ_CRASHREPORTER_DATA_DIRECTORY=/home/mikko/.mozilla/firefox/Crash Reports'
:MOZ_LAUNCHED_CHILD=
:ORBIT_SOCKETDIR=/tmp/orbit-mikko
:XRE_PROFILE_PATH=
:XRE_PROFILE_LOCAL_PATH=
:XRE_PROFILE_NAME=
:XRE_START_OFFLINE=
:NO_EM_RESTART=
:XUL_APP_FILE=
:XRE_BINARY_PATH=
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-epdfview.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=23309

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 28289                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       28289                28289                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/var/log/lxdm.log
:pos:	1764
:flags:	0102001
:2:/home/mikko/.xsession-errors
:pos:	440179
:flags:	0100001
:3:socket:[1398539]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[1399945]
:pos:	0
:flags:	02004002
:6:/tmp/3310_0109.pdf
:pos:	14660350
:flags:	0100000

smolt_data:
:
:
:Yleinen
:=================================
:UUID: 72f4ad87-d01d-4927-99a2-b1d345116cc5
:Käyttöjärjestelmä: Fedora release 17 (Beefy Miracle)
:Oletusajotaso: Unknown
:Kieli: fi_FI.UTF-8
:Alusta: x86_64
:BogoMIPS: 2593.44
:Suorittimen valmistaja: AuthenticAMD
:Suorittimen malli: AMD E-300 APU with Radeon(tm) HD Graphics
:Suorittimen stepping: 0
:Suoritinperhe: 20
:Suorittimen mallinumero: 2
:Suorittimien määrä: 2
:Suorittimen nopeus: 1300
:Järjestelmän muisti: 3557
:Järjestelmän sivutustila: 5599
:Valmistaja: TOSHIBA
:Järjestelmä: Satellite C660D PSC1YE-01T00QN5
:Kotelon tyyppi: Notebook
:Ydin: 3.4.4-5.fc17.x86_64
:SELinux käytössä: 1
:SELinux-käytäntö: targeted
:Toteuttava SELinux: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Laitteet
:=================================
:(4130:5396:4130:4660) pci, pcieport, PCI/PCI, Family 14h Processor Root Port
:(4098:17297:4473:64960) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode]
:(4130:5392:4473:64960) pci, None, HOST/PCI, Family 14h Processor Root Complex
:(4098:38914:4473:64828) pci, radeon, VIDEO, AMD Radeon HD 6310 GraphicsATI
:(4130:5912:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 6
:(4130:5892:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 4
:(4130:5913:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 7
:(4130:5910:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 5
:(4130:5889:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 1
:(4130:5888:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 0
:(4130:5891:0:0) pci, k10temp, HOST/PCI, Family 12h/14h Processor Function 3
:(4130:5890:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 2
:(4332:33142:4332:33153) pci, rtl8192ce, NETWORK, RTL8188CE 802.11b/g/n WiFi Adapter
:(4098:17285:0:0) pci, piix4_smbus, SERIAL, SBx00 SMBus Controller
:(4098:17309:4473:64960) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:4473:64960) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:17302:4473:64960) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4332:33078:4473:64960) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(4098:17303:4473:64960) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17302:4473:64960) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:4473:64960) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4130:5395:4130:4660) pci, pcieport, PCI/PCI, Family 14h Processor Root Port
:
:
:Tiedostojärjestelmätiedot
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_mikkotosh-lv_root / ext4 4096 4096 13091841 12115609 11984559 3276800 3187667 3187667
:/dev/sda1 /boot ext4 1024 1024 508644 423668 398068 128016 127660 127660
:/dev/mapper/vg_mikkotosh-lv_home /home ext4 4096 4096 63393533 23960561 20786981 15867904 15844015 15844015
:/dev/sdb1 WITHHELD fuseblk 4096 4096 244190207 177451786 177451786 709905448 709859209 709859209
:

xsession_errors:
:*** glibc detected *** epdfview: double free or corruption (out): 0x00007fde04056130 ***
:epdfview[0x40db60]
:epdfview[0x40e697]
:epdfview[0x40b3a5]
:epdfview[0x40af80]
:00400000-00422000 r-xp 00000000 fd:01 9844                               /usr/bin/epdfview
:00621000-00622000 r--p 00021000 fd:01 9844                               /usr/bin/epdfview
:00622000-0062d000 rw-p 00022000 fd:01 9844                               /usr/bin/epdfview
Comment 1 cryogenium 2012-07-12 00:26:47 EDT
Created attachment 597703 [details]
File: backtrace
Comment 2 cryogenium 2012-07-12 00:26:51 EDT
Created attachment 597704 [details]
File: maps
Comment 3 cryogenium 2012-07-12 00:26:55 EDT
Created attachment 597705 [details]
File: dso_list
Comment 4 Michal Schmidt 2012-07-12 07:18:10 EDT
Did epdfview crash immediately after opening the file, or was it after some further interaction with the document?
Is the crash repeatable when viewing the file 3310_0109.pdf? Is the file publicly available for testing?
Are you seeing epdfview crashes with other PDF files?
Comment 5 cryogenium 2012-07-12 10:07:34 EDT
(In reply to comment #4)
> Did epdfview crash immediately after opening the file, or was it after some
> further interaction with the document?
> Is the crash repeatable when viewing the file 3310_0109.pdf? Is the file
> publicly available for testing?
> Are you seeing epdfview crashes with other PDF files?

Yes, this wasn't first time when this happend. I have two Fedoras, 64-bit at this machine and 32-bit in older machine. I often Google and open many files in same time and in some point I stop exploring and start watching pdf:s. These times, when this happend, I had open many pdf-files and when I started watching some file and then watching next pages ePDFwiev crashes.

This is public file and is available in
http://www.finnishcavediving.org/3310_0109.pdf

Mikko
Comment 6 Michal Schmidt 2012-07-12 10:54:49 EDT
I was able to reproduce a similar crash by moving through pages and reloading the document frequently (CTRL+R).
I could reproduce this with different PDF files too.

Something seems to be wrong with the reloading. Sometimes the view shows a different page after reload. After a few more reloads, various error messages start to be produced to stderr. Usually it takes a few more tries to get a crash.

evince does not seem to be affected, so it's likely a bug in epdfview and not in the poppler library.
Comment 7 Michal Schmidt 2012-07-18 03:57:57 EDT
*** Bug 840974 has been marked as a duplicate of this bug. ***
Comment 8 Michal Schmidt 2013-02-14 05:23:13 EST
Unfortunately the development of epdfview ceased upstream. The upstream developer is not interested in working on it any further. He recommends switching to evince-gtk (see also bug 906121) or zathura. The epdfview package will be removed from future Fedora releases. I do not have the time to debug epdfview myself.

Note You need to log in before you can comment on or make changes to this bug.